stages:
  - k8s
  - clean


k8s:
  tags:
    - Enad
  stage: k8s
  script:

    - kubectl create namespace $CI_COMMIT_REF_NAME ##The CI_COMMIT_REF_NAME variable contains the name of the branch or tag that the pipeline was created for.
    - kubectl apply -f ./k8s --namespace=$CI_COMMIT_REF_NAME  

  except:
    - master
  
#-----------------------------------------

clean:
  tags:
    - Enad
  stage: clean
  script:
   -kubectl delete namespace $CI_COMMIT_REF_NAME  ##a manual cleanup stage to destroy the branch kubernetes namespace.
  when: manual

